ABOUT ME

-

Today
-
Yesterday
-
Total
-
  • AngularJs를 사용하기 위하여 빠르게 요약정리.
    Programming/AngularJS 2020. 6. 2. 18:22

    1. nvm 설치한다.(node version manager)

      - brew가 설치되어있어서 다음 명령어 사용하였음.

    brew install nvm

     

    2. node설치하고 싶은 버전을 설치한다.

    nvm ls-remote

    를 이용해서 버전 확인을 하고 

    nvm install 14.3.0

    최신 버전을 확인하고, 설치한다.

     

    설치가 되었는 지 확인해본다.

    nvm ls
    ->      v14.3.0
    node -> stable (-> v14.3.0) (default)
    stable -> 14.3 (-> v14.3.0) (default)
    iojs -> N/A (default)

    이렇게 나오게 되면, 설치 완료.

     

    만약 나오지않는다면 현재 쉘이

    bash일 경우 

    vi ~/.bash_profile 로 편집기에서 
    
    export NVM_DIR="$HOME/.nvm"
    [ -s "$NVM_DIR/nvm.sh" ] && . "$NVM_DIR/nvm.sh" # This loads nvm

    추가 해준다.

     

    zsh일 경우

    vi ~/.zshrc
    
    export NVM_DIR="$HOME/.nvm"
    [ -s "$NVM_DIR/nvm.sh" ] && . "$NVM_DIR/nvm.sh" # This loads nvm

    를 추가해준다.

     

    그리고 재시작

    bash
    source ~/.bash_profile
    
    zsh
    source ~/.zhsrc

     

    하지만 angular를 사용하기위해서  angular cli를 설치해야함.

     

    npm install -g @angular/cli

    위 명령어로 설치한다.

     

    집에 가서 다시 해볼 생각이지만, 회사에선 설치한 터미널 창 또는 탭을 닫거나, 새로운 터미널 탭 또는 창을 열었을 때

    npm이나 node를 못 찾는다

     

    이유는 모르겠지만, nvm에서 사용하는 node의 버전이 터미널을 새로 키면 새로 설정해줘야하는 것 같다.

    설치된 버전을 알면, nvm use 버전을 사용하고, 모르면 nvm ls-remote에서 파란색으로 표시되어있는게 지금 설치되어있는 버전임.

     

    nvm use 14.3.0

    을 해주면 npm이나 node 사용이 가능하다.

     

    npm이 사용가능하니, angular cli를 설치해보자.

    npm install -g @angular/cli

    이것도 마찬가지 터미널을 교체하면 인식을 못한다.

     

    왜 이러는 지는 찾아볼 예정임.

     

    어찌되었든

    ng serve -o

    브라우져로 열리라고 하는 것은 열린다.

     

     

    'Programming > AngularJS' 카테고리의 다른 글

    AngularJs를 사용하기 위하여 빠르게 요약정리.  (0) 2020.06.02

    댓글 0

Designed by Tistory.